/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#include	<windows.h>
#include	"utils.h"
#include	"limits.h"

int
numofcpu()
{
	SYSTEM_INFO info;
	memset(&info, 0, sizeof(info));
	GetSystemInfo(&info);
	return info.dwNumberOfProcessors;
}
